<div class="container commentContainer" th:fragment="comments" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="authentication" type="java.lang.String"*/-->
    <!--/*@thymesVar id="newComment" type="generated.libraryservice.GeneratedComment"*/-->
    <!--/*@thymesVar id="book" type="generated.libraryservice.GeneratedBook"*/-->

    <!-- ===== Title With Button ===== -->
    <h2>
        Comments
        <div class="float-right" th:unless="${authentication.equals('anonymousUser')}">
            <a class="btn btn-outline-lightbrown" id="addCommentButton"
               onclick="showCommentForm();" th:text="#{button.addcomment}"></a>
        </div>
    </h2>

    <!-- ===== Add Comment Form ===== -->
    <div class="row" id="addCommentForm" th:unless="${authentication.equals('anonymousUser')}">
        <form class="col-11 m-5 " method="post" th:object="${newComment}">
            <div class="form-group">
                <input class="form-control bg-input" placeholder="title ..." th:field="*{title}" type="text"/>
                <textarea class="form-control bg-input" placeholder="Comment content..."
                          th:field="*{content}"></textarea><br/>
                <button class="btn btn-outline-lightbrown" onclick="sendComment(this.getAttribute('data'));"
                        th:data="${book.reference}" th:text="#{button.send}"></button>
            </div>
        </form>
    </div>

    <!-- ===== All Commentary in a Table ===== -->
    <table id="commentsTable">
        <thead>
        <th>HIDDEN</th>
        </thead>
        <tbody>
        <tr th:each="comment : ${book.comments}">
            <td class="container">
                <div class="row tableRow">

                    <!-- User and date -->
                    <div class="col-4">
                        <small>
                            <strong class='user'
                                    th:text="${comment.author.firstname + ' ' + comment.author.lastname}"></strong>
                            <span th:text="${comment.date}"></span>
                        </small>
                    </div>

                    <!-- Comment title and content -->
                    <div class="col-8 row contentComment">
                        <p class="col-12" id="commentTitle" th:text="${comment.title}"></p>
                        <p class="col-12" th:text="${comment.content}"></p>
                    </div>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</div>